# Looker Studio - Overview
Documentation for creating Looker Studio for presenting Event & Parameter Documentation with Status, in addition to Annotations.

Looker Studio comes in 2 different versions: [**Advanced**](Advanced) and [**Basic**](Basic).

| Functionality  | Advanced | Basic |
| ------------- | ------------- | ------------- |
| Data Source | BigQuery | Google Sheet |
| Event & Parameter Documentation Overview | Yes | No |
| Event Search & Filtering | Yes | Yes |
| Parameter Search & Filtering | Yes | Yes |
| See relationship between Parameters & Events | Yes | Yes |
| See relationship between Parameters & Events | Yes | Yes |
| Differentiate between global parameters (GA4 Config Parameters) and Event specific parameters | Yes | Yes |
| Identify if documentation is aligned with data collected | Yes | No |
| Identify undocumented Events collecting data broken down on web, iOS and Android streams | Yes | No |
| Identify undocumented Parameters collecting data broken down on Events + web, iOS and Android streams | Yes | No |
| Identify documented Events that isn't collecting data broken down on web, iOS and Android streams | Yes | No |
| Identify documented Parameters that isn't collecting data broken down on Events + web, iOS and Android streams | Yes | No |
| Event count broken down on web, iOS and Android streams | Yes | No |
| Parameter count broken down on Events + web, iOS and Android streams | Yes | No |
| Days since Event was last seen broken down on web, iOS and Android streams | Yes | No |
| Days since Parameter was last seen broken down on Events + web, iOS and Android streams | Yes | No |
| Google Cloud costs may occur | Yes | No |
| Annotation report | Yes | Yes |

<table>
  <tr>
    <td> <img src="https://github.com/Knowit-Experience-MarTech/ga4-documentation-administration-solution/blob/main/Looker-Studio/images/ga4-documentation-overview_ls.png" alt="GA4 Documentation Overview"  ></td>
    <td> <img src="https://github.com/Knowit-Experience-MarTech/ga4-documentation-administration-solution/blob/main/Looker-Studio/images/ga4-event-documentation_ls.png" alt="GA4 Event Documentation" ></td>
   </tr> 
    <tr>
    <td> <img src="https://github.com/Knowit-Experience-MarTech/ga4-documentation-administration-solution/blob/main/Looker-Studio/images/ga4-parameter-documentation_ls.png" alt="GA4 Parameter Documentation"  ></td>
    <td> <img src="https://github.com/Knowit-Experience-MarTech/ga4-documentation-administration-solution/blob/main/Looker-Studio/images/ga4-event-parameter-documentation_ls.png" alt="GA4 Event & Parameter Documentation" ></td>
   </tr> 
</table>
